%define ver	1.0.3
%define  RELEASE 1
%define  rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix	/usr

Summary: sary is a suffix array library.
Name: sary
Version: %ver
Release: %rel
Copyright: LGPL
Group: System Environment/Libraries
Source: sary-%{ver}.tar.gz
URL: http://sary.namazu.org/
BuildRoot: /var/tmp/sary-%{ver}-root
Requires: glib >= 1.2.4

%description
Sary is a suffix array library.  It provides fast full-text
search facilities for huge, say, 10 MB, 100 MB text files.

%package devel
Summary: Libraries and include files of sary
Group: Development/Libraries
Requires: %name = %{PACKAGE_VERSION}

%description devel
Libraries and include files of sary.

%changelog
* Tue Dec 01 2000 Satoru Takabayashi <satoru@namazu.org>
- Fix %files for recent updates.

* Tue Nov 21 2000 Ryuji Abe <rug@namazu.org>
- Fix %files for recent updates.
- Fix URL.

* Mon Nov 06 2000 Satoru Takabayashi <satoru@namazu.org>
- Initial version.

%prep 
%setup

%build
if [ ! -f configure ]; then
CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh \
	--prefix=%prefix
else
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%prefix
fi
if [ "$SMP" != "" ]; then
  make -j$SMP "MAKE=make -j$SMP"
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} \
     install
# strip $RPM_BUILD_ROOT%{prefix}/bin/sary

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING INSTALL README NEWS
%{prefix}/bin/sary
%{prefix}/bin/mksary
%{prefix}/share/sary/docs/*
%{prefix}/lib/libsary.so.*
%{prefix}/man/*

%files devel
%defattr(-, root, root)
%{prefix}/bin/sary-config
%{prefix}/include/sary.h
%{prefix}/include/sary/*.h
%{prefix}/lib/libsary.so
%{prefix}/lib/libsary.la
%{prefix}/lib/libsary.a
%{prefix}/share/aclocal/sary.m4
